Subject: bug#64045: closed (Re: bug#64045: [PATCH] Improve wording of the documentation about declare form)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Jun 2023 14:08:02 +0000

Your bug report

#64045: [PATCH] Improve wording of the documentation about declare form

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64045: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64045
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64045: [PATCH] Improve wording of the documentation about declare form
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 21 Jun 2023 17:07:28 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Thu, 15 Jun 2023 09:29:48 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Shynur Xie <[email-masked]>
> > CC: "[email-masked]" <[email-masked]>
> > Date: Tue, 13 Jun 2023 13:54:26 +0000
> > msip_labels:
> > 
> > >    From: Eli Zaretskii <[email-masked]>
> > >    Date: Tue, 13 Jun 2023 16:46:47 +0300
> > > Subject: Re: bug#64045
> > >      To: Shynur Xie <[email-masked]>
> > >
> > > So how about explaining what was wrong or missing or unclear in the
> > > original text?
> > 
> > You can read these 2 posts (very short and won't take up much of your
> > time):
> > 
> > - Question: Effect of `modes` In Declare Form
> >   https://emacs.stackexchange.com/questions/77597
> > - Question: `completion` In Declare Form Not Working
> >   https://emacs.stackexchange.com/questions/77599
> 
> Thanks, I've clarified these now on the emacs-29 branch.

No further comments, so I'm now closing this bug.

Subject: [PATCH] Improve wording of the documentation about declare form
From: Shynur Xie <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 13 Jun 2023 13:36:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I modified section 13.14 (The declare form) of the GNU Emacs Lisp
Reference Manual.  The manual didn't say how to make

    (declare (completion ...)
             (modes ...))

take effect; the original text is even somewhat misleading.  Simply
evaluating a (defun ...) form which includes the above declare form
won't make Emacs filter commands when asking for completion in M-x.

--
shynur